Package: org.grails.config

## [Java] Class PrefixedConfig

- org.grails.config.PrefixedConfig

- All Implemented Interfaces and Traits:
    Config

      public class PrefixedConfig
      extends java.lang.Object
      implements Config

  A config that accepts a prefix

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Config` | `delegate` |
    `protected java.lang.String` | `prefix` |
    `protected java.lang.String[]` | `prefixTokens` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PrefixedConfig (java.lang.String prefix, Config delegate)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `clear()`
    `` | `public boolean` | `containsKey(java.lang.Object key)`
    `` | `public boolean` | `containsProperty(java.lang.String key)`
    `` | `public boolean` | `containsValue(java.lang.Object value)`
    `` | `public java.util.Set<Entry<java.lang.String, java.lang.Object>>` | `entrySet()`
    `` | `public boolean` | `equals(java.lang.Object o)`
    `` | `public java.util.Map<java.lang.String, java.lang.Object>` | `flatten()`
    `` | `protected java.lang.String` | `formulateKey(java.lang.String key)`
    `` | `public java.lang.Object` | `get(java.lang.Object key)`
    `` | `public java.lang.Object` | `getAt(java.lang.Object key)`
    `` | `public java.lang.String` | `getKey()`
    `` | `public java.lang.String` | `getProperty(java.lang.String key)`
    `` | `public java.lang.String` | `getProperty(java.lang.String key, java.lang.String defaultValue)`
    `<T>` | `public T` | `getProperty(java.lang.String key, java.lang.Class<T> targetType)`
    `<T>` | `public T` | `getProperty(java.lang.String key, java.lang.Class<T> targetType, T defaultValue)`
    `<T>` | `public T` | `getProperty(java.lang.String key, java.lang.Class<T> targetType, T defaultValue, java.util.List<T> allowedValues)`
    `` | `public java.lang.String` | `getRequiredProperty(java.lang.String key)`
    `<T>` | `public T` | `getRequiredProperty(java.lang.String key, java.lang.Class<T> targetType)`
    `` | `public java.lang.Object` | `getValue()`
    `` | `public int` | `hashCode()`
    `` | `public boolean` | `isEmpty()`
    `` | `public java.util.Iterator<Entry<java.lang.String, java.lang.Object>>` | `iterator()`
    `` | `public java.util.Set<java.lang.String>` | `keySet()`
    `` | `public Config` | `merge(java.util.Map<java.lang.String, java.lang.Object> toMerge)`
    `` | `public java.lang.Object` | `navigate(java.lang.String path)`
    `` | `public java.lang.Object` | `put(java.lang.String key, java.lang.Object value)`
    `` | `public void` | `putAll(java.util.Map<? extends java.lang.String, ?> m)`
    `` | `public java.lang.Object` | `remove(java.lang.Object key)`
    `` | `public java.lang.String` | `resolvePlaceholders(java.lang.String text)`
    `` | `public java.lang.String` | `resolveRequiredPlaceholders(java.lang.String text)`
    `` | `public void` | `setAt(java.lang.Object key, java.lang.Object value)`
    `` | `public java.lang.Object` | `setValue(java.lang.Object value)`
    `` | `public int` | `size()`
    `` | `public java.util.Properties` | `toProperties()`
    `` | `public java.util.Collection<java.lang.Object>` | `values()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected Config delegate

    - #### protected java.lang.String prefix

    - #### protected java.lang.String[] prefixTokens

  - ### Constructor Detail

    - #### public PrefixedConfig(java.lang.String prefix, Config delegate)

  - ### Method Detail

    - #### @java.lang.Override public void clear()

    - #### @java.lang.Override public boolean containsKey(java.lang.Object key)

    - #### @java.lang.Override public boolean containsProperty(java.lang.String key)

    - #### @java.lang.Override public boolean containsValue(java.lang.Object value)

    - #### @java.lang.Override public java.util.Set<Entry<java.lang.String, java.lang.Object>> entrySet()

    - #### @java.lang.Override public boolean equals(java.lang.Object o)

    - #### @java.lang.Override @java.lang.Deprecated public java.util.Map<java.lang.String, java.lang.Object> flatten()

    - #### protected java.lang.String formulateKey(java.lang.String key)

    - #### @java.lang.Override public java.lang.Object get(java.lang.Object key)

    - #### @java.lang.Override public java.lang.Object getAt(java.lang.Object key)

    - #### @java.lang.Override public java.lang.String getKey()

    - #### @java.lang.Override public java.lang.String getProperty(java.lang.String key)

    - #### @java.lang.Override public java.lang.String getProperty(java.lang.String key, java.lang.String defaultValue)

    - #### <T> @java.lang.Override public T getProperty(java.lang.String key, java.lang.Class<T> targetType)

    - #### <T> @java.lang.Override public T getProperty(java.lang.String key, java.lang.Class<T> targetType, T defaultValue)

    - #### <T> @java.lang.Override public T getProperty(java.lang.String key, java.lang.Class<T> targetType, T defaultValue, java.util.List<T> allowedValues)

    - #### @java.lang.Override public java.lang.String getRequiredProperty(java.lang.String key)

    - #### <T> @java.lang.Override public T getRequiredProperty(java.lang.String key, java.lang.Class<T> targetType)

    - #### @java.lang.Override public java.lang.Object getValue()

    - #### @java.lang.Override public int hashCode()

    - #### @java.lang.Override public boolean isEmpty()

    - #### @java.lang.Override public java.util.Iterator<Entry<java.lang.String, java.lang.Object>> iterator()

    - #### @java.lang.Override public java.util.Set<java.lang.String> keySet()

    - #### @java.lang.Override public Config merge(java.util.Map<java.lang.String, java.lang.Object> toMerge)

    - #### @java.lang.Override public java.lang.Object navigate(java.lang.String path)

    - #### @java.lang.Override public java.lang.Object put(java.lang.String key, java.lang.Object value)

    - #### @java.lang.Override public void putAll(java.util.Map<? extends java.lang.String, ?> m)

    - #### @java.lang.Override public java.lang.Object remove(java.lang.Object key)

    - #### @java.lang.Override public java.lang.String resolvePlaceholders(java.lang.String text)

    - #### @java.lang.Override public java.lang.String resolveRequiredPlaceholders(java.lang.String text)

    - #### @java.lang.Override public void setAt(java.lang.Object key, java.lang.Object value)

    - #### @java.lang.Override public java.lang.Object setValue(java.lang.Object value)

    - #### @java.lang.Override public int size()

    - #### @java.lang.Override public java.util.Properties toProperties()

    - #### @java.lang.Override public java.util.Collection<java.lang.Object> values()